package com.bonus.canteen.core.marketing.v2.model;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalTime;

@ApiModel("规则信息扩展字段")
public class MarketRuleExt implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键")
   private Long id;
   @ApiModelProperty("规则主键")
   private Long ruleId;
   @ApiModelProperty("阶梯id")
   private Long itemId;
   @ApiModelProperty("开始时间")
   private LocalTime startTime;
   @ApiModelProperty("结束时间")
   private LocalTime endTime;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("组织id")
   private Long orgId;

   public Long getId() {
      return this.id;
   }

   public Long getRuleId() {
      return this.ruleId;
   }

   public Long getItemId() {
      return this.itemId;
   }

   public LocalTime getStartTime() {
      return this.startTime;
   }

   public LocalTime getEndTime() {
      return this.endTime;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public MarketRuleExt setId(final Long id) {
      this.id = id;
      return this;
   }

   public MarketRuleExt setRuleId(final Long ruleId) {
      this.ruleId = ruleId;
      return this;
   }

   public MarketRuleExt setItemId(final Long itemId) {
      this.itemId = itemId;
      return this;
   }

   public MarketRuleExt setStartTime(final LocalTime startTime) {
      this.startTime = startTime;
      return this;
   }

   public MarketRuleExt setEndTime(final LocalTime endTime) {
      this.endTime = endTime;
      return this;
   }

   public MarketRuleExt setPsnType(final Integer psnType) {
      this.psnType = psnType;
      return this;
   }

   public MarketRuleExt setOrgId(final Long orgId) {
      this.orgId = orgId;
      return this;
   }
}
